Skip to main content
GET
Get the emission data of distance

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

organizationId
string
required

The organization id of the carbon emissions UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$
fromDate
string<date>

Used for filtering

toDate
string<date>

Used for filtering

type
enum<string>
required

The type of the emission. Required type for the travel tab is "travel"

Available options:
emissions,
travel

Response

OK

companyId
string

organization id

Pattern: ^[0-9a-fA-F]{32}$
companyName
string

Name of organization

totalEmission
number

Total expense emissions in organization

emissionUnit
string

Unit of emission

distance
number

Total distance

distanceUnit
string

Unit of distance

expenseCountCategory
integer

Count of categories

totalCategoryEmission
number

Sum of category emissions

emissionByCategory
object[]
Last modified on August 31, 2026